<?php

class KB_exec extends KB_class {

	private $core;

	function __construct ($core) {

		$this->core = $core;

	}


	public function exec() {

		if(!$this->exec_allowed())
			return "function exec is not allowed.";

		$args = func_get_args();

		$exec = array_shift($args);
		$exec = $this->config("script_folder").$exec;

		array_map("escapeshellcmd",$args);

		// exec($exec.' "'.implode('" "',$args).'"', $return, $result);
		exec($exec." ".implode(" ",$args), $return, $result);

		$result = $result === 0 ? true : false;

		return array($result, $return);
	}

	public function sudo() {

		if(!$this->exec_allowed())
			return "function exec is not allowed.";

		$args = func_get_args();

		$exec = array_shift($args);
		$exec = "sudo ".$this->config("script_folder").$exec;

		array_map("escapeshellcmd",$args);

		exec($exec.' "'.implode('" "',$args).'"', $return, $result);

		$result = $result === 0 ? true : false;

		return array($result, $return);
	}


	private function exec_allowed() {

		if(!function_exists('exec')){
			$this->core->message->set(false, "function exec is not allowed");
			return false;
		}

		return true;
	}


}
