<?php

switch ($core->get_var("do")) {

  case "storage":
    if ($ID = $core->get_var("ID")){
      $entry = $data->entry($ID);
      $entry["is_file"] = 1-intval($entry["is_file"]);
      $data->update($entry);
    }
		$core->refresh(["do"=>"","ID"=>""]);
    break;

  case "set_default_structure":
  		$data->group->set_default($core->get_var("ID"));
  		$core->refresh(["do"=>"","ID"=>""]);
  		break;

  case "set_base_dir":
  		$data->group->set_base($core->get_var("ID"));
      $core->refresh(["do"=>"","ID"=>""]);
  		break;

  case "secure":
		if($ID = $core->get_var("ID")){
			$entry = $data->entry(array("ID"=>$ID));
			$entry["secure"] = 1-intval($entry["secure"]);
			$data->update($entry);
			$core->refresh(["do"=>"","ID"=>""]);
		}
		break;

	case "toggle_more_columns":
		if (are_equal($core->session->kit->get("more_columns"),1))
			$core->session->kit->set("more_columns",0);
		else
			$core->session->kit->set("more_columns",1);
		$core->refresh(["do"=>""]);
		break;
}

$core->template->backend->head(
	$core->template->backend->js($kit["path"]."kb_content.js")
);
