<?php

$table = $core->view->table();
$table_data = $core->view->table();
$format = $core->format();
$markdown = $core->markdown;

switch (fetch("select",$kit["kit_option"])) {

  case "data":
  case "groups":

		if (!is_null($pagination = key_of("pagination", $kit["kit_option"])))
			$table->pagination($pagination);

    if ($table_config = fetch("table",$kit["kit_option"])) {
      foreach($table_config as $key => $name) {
        if (is_int($key)) {
          $table->new_column($name, array(
            "title" => "",
          ));
        }
        else if (is_array($name)) {
          $table->new_column($key, $name);
        }
				else {
          $table->new_column($key, array(
            "title" => $name,
          ));
        }
      }
    }
    break;

  case "data_and_groups":


    if ($data_config = fetch("data",$kit["kit_option"])) {

      if ($class = fetch("class",$data_config))
        $table_data->config("class",$class);

			if (!is_null($pagination = key_of("pagination", $data_config)))
				$table_data->pagination($pagination);


      if ($table_config = fetch("table",$data_config)) {
        foreach($table_config as $key => $name) {
          if (is_int($key)) {
            $table_data->new_column($name, array(
              "title" => "",
            ));
          }
          else if (is_array($name)) {
            $table_data->new_column($key, $name);
          }
					else {
            $table_data->new_column($key, array(
              "title" => $name,
            ));
          }
        }
      }
    }
    if ($group_config = fetch("groups",$kit["kit_option"])) {

      if ($class = fetch("class",$group_config))
        $table->config("class",$class);

			if (!is_null($pagination = key_of("pagination", $group_config)))
				$table->pagination($pagination);

      if ($table_config = fetch("table",$group_config)) {
        foreach($table_config as $key => $name) {
          if (is_int($key)) {
            $table->new_column($name, array(
              "title" => "",
            ));
          }
          else if (is_array($name)) {
            $table->new_column($key, $name);
          }
					else {
            $table->new_column($key, array(
              "title" => $name,
            ));
          }
        }
      }
    }
    break;
}

if (is_empty($array) && not_empty($on_empty))
	echo $core->kit->run(either(key_of("source",$on_empty),$kit["config"]["unique_name"]),$on_empty);

else
	switch (fetch("select",$kit["kit_option"])) {

	  case "data":
	  case "groups":

	    echo $table->render($array);
	    break;

	  case "data_and_groups":

	    echo $table->render_nested(
	      array(
	        "object"=>$table,
	        "data"=>$array["groups"],
	        "nested"=>"group_ID",
	      ),
	      array(
	        "object"=>$table_data,
	        "data"=>$array["data"],
	      )
	    );
	    break;

	  default:
	    echo $table->render($array);
	}
