<?php

$form = $core->form();

$form->new_fields([
	"name" => [
		"required" => true,
		"label" => "Name",
	],
	"submit" => [
		"type" => "submit"
	]
]);

if ($form->submit()) {

	$core->filesystem->base_dir($core->path("frontend").$core->get("folder"));
	$core->folder->create($form->value("name"));
	$core->refresh(["do"=>""]);

}

echo $core->template->kit->panel(
	"New",
	$form->render(false),
	[
		$form->field("submit"),
		$core->template->kit->button("Cancel", ["href"=>$core->url(["do"=>""])])
	],
	[
		"wrap_form" => $form,
		"footer" => ["class"=>"fill flex"]
	]
);