<?php

$kitbooth = $core->filesystem();
$kitbooth->dir($core->path());

$kits_fs = $core->filesystem();
$kits_fs->dir($core->path("kits"));

if (isset($store_kits[$core->get("ID")]))
  $kit_info = $store_kits[$core->get("ID")];

else if (isset($private_kits[$core->get_var("ID")]))
  $kit_info = $private_kits[$core->get_var("ID")];

else $kit_info = [];

$zipurl = "http://kitbooth.com/pages/kit-store-download-kit.html?ID=".$core->get("ID")."&username=".$core->user->data("name")."&password=".$core->get("kitstore")."&framework=".$core->version("framework")."&core=".$core->version("compatibility");

$kitbooth->folder->create("install_temp");
$kitbooth->get_remote_file($zipurl, 'install_temp/'.$kit_info["filename"]);
$kitbooth->file->unzip('install_temp/'.$kit_info["filename"]);
$kitbooth->file->delete('install_temp/'.$kit_info["filename"]);

$folder = "";

while (true) {

	$files = $kitbooth->folder->read("install_temp/".$folder, ["folders"=>false]);
	$folders = $kitbooth->folder->read("install_temp/".$folder, ["files"=>false]);

	if (fetch("release.php",$files))
    break;

	if (fetch("config.php",$files))
    break;

	if (is_empty($folders))
		break;

  $folder .= current($folders)."/";
}

if ($core->message->status()){

  if ($kits_fs->folder->exists($folder)){

    if ($version = $kits_fs->file->read($folder."version.txt"))
      $filename = $kit_info["name"]."_v".$version;

    else
      $filename = $kit_info["name"]."_".date("ymd");

    $filename = $kits_fs->folder->zip($folder,$filename);
    $kits_fs->folder->delete($folder);
		$kits_fs->file->move($filename, $core->path("root","backup"));

  }

	$kitbooth->folder->copy("install_temp/$folder", "kits/".$core->folder->parent($folder));
	$kitbooth->folder->delete("install_temp");
	$kits_fs->file->write($folder."version.txt", $kit_info["version"]);
}

$core->message->set_info();
$core->refresh(["do"=>"","ID"=>""]);
