<?php

// Static Data

$form->set_element("doctype",array(
  "type" => "select",
  "values" =>  array_keys($core->template->frontend->config("doctype"))
));

$header = array("doctype", "logo", "favicon", "title", "meta_keywords","meta_author", "meta_theme-color", "interfaces","viewport","load","style","head");

// Hide fields on new entries
if (!$core->get("ID")) {
	foreach($header as $field)
		$form->set_element($field,array(
			"type"=>"hidden",
		));
	$form->value("content", $core->file->read($kit["path"]."/extend/new_template.tpl"));
}


// Read out filesystem on exisiting templates

if ($ID = $core->get("ID")) {

  $entry = $core->template->entry($ID);
  $favicons = $core->filesystem->read(DROOT.TEMPLATE_FOLDER.$entry["folder"],array("filetype"=>"ico"));
  $logos = $core->filesystem->read(DROOT.TEMPLATE_FOLDER.$entry["folder"],array("filetype"=>"jpeg|jpg|png|gif|svg"));
	$include = $core->folder->read(DROOT.TEMPLATE_FOLDER.$entry["folder"],array("filetype"=>"js|css"));


  if(not_empty($favicons))
    array_unshift($favicons,"");

  if(not_empty($logos))
    array_unshift($logos,"");

  $form->set_element("favicon",array(
    "type" => "select",
    "values" => $favicons,
  ));

  $form->set_element("logo",array(
    "type" => "select",
    "values" => $logos,
  ));

  $form->set_element("load",array(
    "type" => "checkbox",
		"class" => "dropdown",
    "values" => array_values((array)$include),
  ));

  $form->set_element("interfaces",array(
    "values" => array_keys($core->template->frontend->config("interfaces"))
  ));


	if (!preg_match("/<!--\s*header\s*-->/i",key_of("content",$entry))) {

		foreach($header as $field)
			$form->set_element($field,array(
				"type"=>"hidden",
			));
	}

}