// First calls
document.write('<style type="text/css">.panel{visibility:hidden}</style>');
// document.write('<style type="text/css">.kitcontent table.data{display:none}</style>');
// document.write('<style type="text/css">.kitcontent table.data{visibility:hidden}</style>');
// document.write('<style type="text/css">.panel,td.toolbar > *{display:none}</style>');

Number.prototype.round = function(places) {
	return +(Math.round(this + "e+" + places)  + "e-" + places);
}

$(function(){
	panel_setup();
	sub_menu();
	$("body").addClass(get_os());
});

// Replace standard href attribute
$(function()
{
	var links = $("a[href]").not(".zoom").not("[download]");
	links.each(function(){
		var element	= $(this);

		if(element.parents(".zoom").length >= 1)
			return;

		if(element.attr("attr-confirm"))
			element.attr("onclick", "return confirm('"+element.attr("attr-confirm")+"')");

		var href	= element.attr("href");
		var onclick	= new Function(element.attr("onclick"));
		element.removeAttr("href");
		element.removeAttr("onclick");
		element.on("mouseup",function(e){
			e.preventDefault();
			if(element.attr("target") == "_blank" || e.which == 2){
				if(onclick() != false) window.open(href,"_blank");
			}
			else if(e.which == 1 || e.which == undefined){
				if(onclick() != false) window.location.href = href;
			}
		});
	});
});

// Footer icons
$(function()
{
	var links = $("div.footer div.element > div.message");
	links.each(function(){
		var element	= $(this);

		element.click(function(){
			if(element.hasClass("active")){
				element.removeClass("active");
			}
			else{
				links.removeClass("active");
				$(this).addClass("active");
			}
		});
		if (element.is(".green, .red")){
			element.click().delay(2000).queue(function(){$(this).addClass("animate").dequeue()}).delay(1000).queue(function(){$(this).click().removeClass("animate").dequeue()});
		}
	});
});

//Replace standard title attribute
$(function()
{
	var infos = $('[title]').not(".zoom");
	infos.each(function(){
		var info	= $(this);
		if(info.parents(".zoom").length >= 1)
			return true;

		var title	= info.attr("title");
		info.removeAttr("title");
		info.mouseover(function()
		{
			$("div.footer span.info").html(title);
			// $("div.footer span.info").show();
			// $("div.footer span.notice").hide();
			$("div.footer").addClass("hover");

		});
		info.mouseout(function()
		{
			// $("div.footer span.info").hide();
			// $("div.footer span.notice").show();
			$("div.footer").removeClass("hover");
		});
	});

});

//Datetime fields for old browsers
$(function()
{
	$("input[type=date]").each(function(){
		// $(this).attr("type", "text");
		if ($(this)[0].type == 'text') {
			$(this).datepicker({dateFormat: "yy-mm-dd"});
		}
	});


});

// Toolkits

$(function()
{
	$("a.toolkit_menu").on("mousedown",function(e){
		if(e.which == 1 || e.which == undefined){
			e.preventDefault();
			$(this).toggleClass("toolkit_menu_active");
			$("div.toolkit_pane").toggle();
		}
	});
});



//HOTKEYS
$(function()
{
	$(document).bind('keydown', function(event) {
		// Ctrl + key
		if (event.ctrlKey || event.metaKey) {
			switch (String.fromCharCode(event.which).toLowerCase()) {
			// CTRL+S for save buttons
			case 's':
				if($(".panel button[type=submit]").length == 1){
					event.preventDefault();
					$(".panel button[type=submit]").trigger("click");
				}
				else if($(".panel.active").length == 1){
					event.preventDefault();
					$(".panel.active").find("button[type=submit]").trigger("click");
				}
				else if($(".save.button").length == 1){
					event.preventDefault();
					$(".save.button").trigger("click");
				}
				break;
			}
		}
		// ESC Key for cancel buttons
		else if(event.keyCode == 27){
			if ($("dialog[open]").length != 0)
				return;
			if($("a.cancel").length == 1){
				event.preventDefault();
				$("a.cancel").trigger("mouseup");
			}
			else if($(".panel.active").length == 1){
				event.preventDefault();
				$(".panel.active").find("a.cancel").trigger("mouseup");
			}
		}
	});
});



//Change the value of all form fields on change with the same variable name.
//This makes different form elements with diffent formatting but the same variable possible.
$(function(){

	var forms = $("form");

	forms.each(function(){
		var form = $(this);
		var fields = $("select[name], input[name]").not('[name$="]"]');
		var name_list = new Array();

		fields.each(function(){
			var field = $(this);
			var name = field.prop("name");

			if($.inArray(name,name_list) > -1){
				form.find('select[name='+name+']').change(function(){
					form.find('select[name='+name+']').prop("value",$(this).prop("value"));
				});
				form.find('input[name='+name+']').keyup(function(){
					form.find('input[name='+name+']').prop("value",$(this).prop("value"));
				});
			}
			else{
				name_list.push(name);
			}

		});
	});
});


function after_resize(){
	panel_pos();
	table_size();
	sub_menu();
}

function on_load(){
	// panel_setup();
	// panel_pos();
	table_size();
	sub_menu();
}

function late_load(){
	panel_pos();
	dropdown();
	collapse_columns();
	table_size();
	file_preview();
	sub_menu();
}

function later_load(){
	panel_pos();
	$(".panel").css("visibility","visible");
	$(".panel").addClass("animate");
}

var pause_interval = false;

$(document).ready(function(){

	$(".panel").draggable({
    handle:" > .section:first-child",
		start: function(){
			$(this).removeClass("animate");
			$(this).addClass("hover");
			if($(".panel").length > 1){
				$(".panel").removeClass("active").addClass("inactive");
				$(this).removeClass("inactive").addClass("active");
			}
			// $(".panel").css("z-index","1");
			// $(this).css("z-index","2");
			pause_interval = true;
		},
		stop: function(){
			$(this).addClass("animate");
			$(this).removeClass("hover");
			pause_interval = false;
			panel_save(this);
			panel_pos();
			panel_save(this);
		}
	});

	$(".panel h3.section").dblclick(function(){
		var obj = $(this).parents("div.panel");
		obj.attr("data-x_offset","1");
		obj.attr("data-y_offset","1");
		obj.removeClass("animate");
		panel_pos();
		panel_save(obj);
		obj.addClass("animate");

	});

	$(".panel h2.section").click(function(){
		if($(".panel").length > 1){
			var obj = $(this).parents("div.panel");
			// $(".panel").css("z-index","1");
			$(".panel").removeClass("active").addClass("inactive");
			obj.removeClass("inactive").addClass("active");
			// obj.css("z-index","2");
		}

	});

	$(".panel").each(function(i){
		set_identifier(this,i);
	});


	setTimeout(late_load,5);
	setTimeout(later_load,10);
	// setInterval(interval,2000);
	on_load();
	var TO = false;
	$(window).resize(function(){
	if(TO !== false)
		clearTimeout(TO);
	 TO = setTimeout(after_resize, 200); //200 is time in miliseconds
	});
});

function getQueryVariable(variable){
   var query = window.location.search.substring(1);
   var vars = query.split("&");
   for (var i=0;i<vars.length;i++) {
           var pair = vars[i].split("=");
           if(pair[0] == variable){return pair[1];}
   }
   return(false);
}

function hashCode(s) {
	var a = 1, c = 0, h, o;
  if (s) {
		a = 0;
    for (h = s.length - 1; h >= 0; h--) {
      o = s.charCodeAt(h);
      a = (a<<6&268435455) + o + (o<<14);
      c = a & 266338304;
      a = c!==0?a^c>>21:a;
  	}
  }
  return String(a);
};

function set_identifier(obj,i){
	var kit_var = getQueryVariable("kit") || "";
	var do_var = getQueryVariable("do") || "";
	$(obj).attr("data-identifier",hashCode(kit_var+do_var+i));
}

function panel_save(obj){

	var offset = {
		// top : $(obj)[0].getBoundingClientRect().top,
		top : $(obj).position().top,
		// left : $(obj)[0].getBoundingClientRect().left
		left : $(obj).position().left
	}

	var x_space = ($(window).innerWidth() - $(obj).innerWidth())/2;
	var x_offset = 	(((x_space)-((x_space) - offset.left))/(x_space));
	var y_space = ((($(window).innerHeight() - header - footer)/2) -($(obj).innerHeight()/2)+header);
	var y_offset = 	(((y_space)-((y_space)- offset.top))/(y_space));

	$(obj).attr("data-x_offset",x_offset);
	$(obj).attr("data-y_offset",y_offset);
	sessionStorage.setItem($(obj).attr("data-identifier")+"data-y_offset", y_offset);
	sessionStorage.setItem($(obj).attr("data-identifier")+"data-x_offset", x_offset);
}

function interval(){
	if(pause_interval == false){
		panel_pos();
	}
}

function panel_setup(){

	panel = $(".panel");
	panel.addClass("float");
	header  = $(".header").innerHeight();
	// header += $(".main_menu").innerHeight() || 0;
	// header += $(".sub_menu").innerHeight() || 0;
	footer = $(".footer").innerHeight() || 0;

	if(panel.length > 1){
		panel.addClass("inactive");
		panel.eq(-1).removeClass("inactive").addClass("active");
	}

	panel.each(function(i){
		$(this).prop("section",$(this).find(".section.scroll"));
	});
}

function panel_pos(){

	panel.each(function(){

		var section = $(this).prop("section");

		//Mobile

		if($(window).innerWidth() < $(this).innerWidth()){
			// $(this).show();

			if($(this).hasClass("float")){
				$(this).css("width","90%");
			}
		}

		if(($(window).innerHeight() - header - footer) < $(this).innerHeight()){

			if(section.length > 0){
				section.attr("data-org_height",section.innerHeight());
				section.hide();
				height_offset = $(this).innerHeight();
				height_available = $(window).innerHeight() - header - footer - height_offset - 50;
				section.show();
				section.css("height",height_available+"px");
				return panel_pos();

			}else{
				$(this).removeClass("float");
				$(this).css("width","");
				$(this).show();

			}

		}

		//Desktop
		else if($(this).hasClass("float")){

			x_offset = sessionStorage.getItem($(this).attr("data-identifier")+"data-x_offset") || 1 ;
			y_offset = sessionStorage.getItem($(this).attr("data-identifier")+"data-y_offset") || 1 ;

			x_offset = $(this).attr("data-x_offset") || x_offset;
			y_offset = $(this).attr("data-y_offset") || y_offset;

			x_offset = x_offset || 1;
			y_offset = y_offset || 1;

			if(section.length > 0 && section.attr("data-org_height") != undefined){
				if( ($(this).innerHeight() + parseInt(section.attr("data-org_height")) - section.innerHeight()) < ($(window).innerHeight() - header - footer) ){
					section.css("height","");
				}
			}

			// $(this).css("width","auto");
			if($(window).innerWidth() < $(this).innerWidth()*1.1){
				if($(window).innerWidth() < 1000){
					$(this).css("width","100%");
				}else{
					$(this).css("width","90%");
				}
			}
			else{
				$(this).css("min-width",$(this).innerWidth()+"px");
				$(this).css("max-width","90%");
			}

			var left = Math.round( (($(window).innerWidth()/2) - ($(this).innerWidth()/2)) * x_offset );
			var top = Math.round( ((($(window).innerHeight() - header - footer)/2) - ($(this).innerHeight()/2) + header ) * y_offset);

			if(left > $(window).innerWidth() || top > $(window).innerHeight()){
				$(this).attr("data-x_offset","1");
				$(this).attr("data-y_offset","1");
				return panel_pos();
			}

			if(top < header)
				top = header;

			$(this).css("left",left+"px");
			$(this).css("top",top+"px");

		}
	});

}



function table_size(count){
	// Set Objects
	count = count || 0;
	var tables = $(".kitcontent table.data");
	var container = tables.parent();
	var page = $("html");
	var kit = $("div.kit");

	//Check if Table has overflow
	tables.each(function(){

		var table = $(this);

		table.find("td[data-ellipsis]").removeClass("ellipsis").css("width","");

		if (
			table.innerWidth() > container.innerWidth() ||
			kit.innerWidth() > page.innerWidth()
		){
			// var rows = table.find("tr.even, tr.odd, tr.data");
			var rows = table.find("tr");
			// var rows = table.find("tr");
			// var highest_width = 0;
			// var highest_width_column = new Array();
			var widths = new Array();

			// Look for longest line
			rows.each(function(){

				$(this).find("td").not("[colspan]").each(function(index){
					widths.push({"index":index,"width":$(this).innerWidth()});
				});
			});


			widths.sort(function(a, b) {
				return b.width - a.width;
			});

			var cols = [];

			for (var i in widths) {
				if(cols.indexOf(widths[i].index) === -1){
					cols.push(widths[i].index);
				}
			}


			// Apply Layout Change

			for(i=0;i<cols.length;i++){
				rows.each(function(){
					$(this).find("td,th").not("[colspan]").eq(cols[i]).addClass("ellipsis").attr("data-ellipsis","ellipsis");
					$(this).find("td,th").not("[colspan]").eq(cols[i+1]).addClass("ellipsis").attr("data-ellipsis","ellipsis");
				});
				if (
					table.innerWidth() <= container.innerWidth() &&
					kit.innerWidth() <= page.innerWidth()
				){
					break;
				}
			}
			var new_width = 100/(i+2);

			rows.each(function(){
				$(this).find("td.ellipsis").css("width",new_width+"%");
			});


		}
		table.css('visibility', 'visible');
	});
}

// Collapsible Table Columns

function collapse_columns(){
	$("th[data-collapsible]").each(function(){
		var element = $(this);
		var index = element.index();
		var title = element.text();

		element.parents("table").eq(0).find("tr").each(function(){
			$(this).find("th").eq(index).wrapInner('<span class="collapsible"></span>');
			$(this).find("td").eq(index).wrapInner('<div class="collapsible"></div>');
		});

		var button = $('<a title="'+title+'"><img src="/core/template/images/icon_collapse.svg"></a>');
		button.click(function(){
			var img = $(this).find("img");
			if(img.attr("src").match("collapse")){
				img.attr("src","/core/template/images/icon_expand.svg");
			}else{
				img.attr("src","/core/template/images/icon_collapse.svg");
			}
			element.parents("table").eq(0).find("tr").each(function(){
				$(this).find("th,td").eq(index).find(".collapsible").toggle();
			});
		});
		element.prepend(button);
		if(element.attr("data-collapsible") == "collapsed"){
			button.trigger("click");
		}
	});
}

function file_preview(){
	$(".file_preview").parent().sortable({
		items: ".file_preview",
		helper : 'clone'
	});
	$(".file_preview").each(function(){
		var button = $('<a><img src="/core/template/icons/waste.svg"></a>');
		button.addClass("small button");
		button.click(function(){
			$(this).parent().find("textarea").text("");
			$(this).parent().fadeOut(200,function(){$(this).hide()});
			// $(this).remove();
		});
		$(this).append(button);
		// $(this).remove();
	});
}

function sub_menu() {
	sub_menu_restore();
	var bleed = 50;
	var menu_width = $(".sub_menu").width();
	var width_available = menu_width - bleed;
	// var more_link = $("<span class=\"more\"></span>");
	// var more_menu = $("<span class=\"menu\"></span>");
	var sum = 0;
	var truncated = false;
	$(".sub_menu a").each(function(){
		sum += $(this).outerWidth();
		if (sum > width_available) {
			truncated = true;
			// $(this).appendTo(more_menu);
		}
	});
	if (truncated) {
		$(".sub_menu").addClass("compact");
		// more_link.append(more_menu);
		// more_link.appendTo($(".sub_menu"));
	}
}

function sub_menu_restore() {
	$(".sub_menu").removeClass("compact");
	return;
	$(".sub_menu .more .menu a").each(function(){
		$(this).appendTo($(".sub_menu"));
	});
	$(".sub_menu .more").remove();
}

var Playhead = new Object();

Playhead.parse = function() {
	$("video.playhead").each(function(){

		video = $(this);
		video.css("position","relative");
		video.mouseover(function(){
			var offset = video.offset();
			var playhead = $("<span></span>");
			video.before(playhead);
			playhead.css({"position":"absolute","width":"1px","height":"100%","top":"0","background":"white","z-index":"2","pointer-events":"none"});
			video.mousemove(function(e){
				var position = Math.round(e.pageX-offset.left);
				this.currentTime = Math.round(this.duration*(position/video.innerWidth()));
				playhead.css("left",position);
			});
		});
		video.mouseout(function(){
			video.siblings("span").remove();
			video.unbind("mousemove");
		});
	});
}

function get_os() {

	const userAgent = window.navigator.userAgent,
      platform = window.navigator?.userAgentData?.platform || window.navigator.platform,
      macosPlatforms = ['macOS', 'Macintosh', 'MacIntel', 'MacPPC', 'Mac68K'],
      windowsPlatforms = ['Win32', 'Win64', 'Windows', 'WinCE'],
      iosPlatforms = ['iPhone', 'iPad', 'iPod'];
  let os = null;

  if (macosPlatforms.indexOf(platform) !== -1) {
    os = 'MacOS';
  } else if (iosPlatforms.indexOf(platform) !== -1) {
    os = 'iOS';
  } else if (windowsPlatforms.indexOf(platform) !== -1) {
    os = 'Windows';
  } else if (/Android/.test(userAgent)) {
    os = 'Android';
  } else if (/Linux/.test(platform)) {
    os = 'Linux';
  }

  return os;
}
