<?php

$form = $core->form();

$form->new_elements([

	"file" => [
	  "type"   => "file",
	  "label"  => "",
		"markup" => 'accept=".csv"',
	],

	"submit" => [
	  "type"		=> "submit",
	  "value"		=> "Start",
	  "markup"	=> 'class="green"',
	]
]);

if ($form->submit()){

	$file = key_of("tmp_name", $form->file("file"));
	$data = $core->file->read($file);
	$data = $core->string->encode($data);
	$data = $core->csv->parse($data);

	if (key_fetch($object->key(),$data))
		$object->merge($data);

	else
		$object->create($data);

	$core->message->info("Import successful");
	$core->refresh(["do"=>""]);


}

echo $core->template->kit->panel(
	"Import",
	$form->render(false),
	[
		$form->field("submit"),
		$core->template->kit->button("Close",["class"=>"cancel button","href"=>$core->url(array("do"=>""))])
	],
	[
		"wrap_form" => $form,
		"footer" => ["class"=>"fill"]
	]
);


