<?php
$kit_config = array(
	"unique_name" => "kb_cron",
	"title" => "Crons",
	"group" => "System",
	"run" => array(
		"backend" => "backend.php",
		"core" => "cron.php",
	),
	"info_text" => "Create Cron Jobs",
	"icon" => "kb_cron.svg"
);

if (isset($this->core->kit)) {
	$data = $core->data("kb_cron", [
		"name",
		"kit" => "ID",
		"user" => "ID",
		"command",
		"start" => "datetime",
		"next" => "datetime",
		"interval" => "ID",
		"active" => "true",
	], [
		"KEY `kit` (`kit`)",
		"FOREIGN KEY (`kit`) REFERENCES `".$this->core->kit->data->db_table()."` (`ID`) ON DELETE CASCADE ON UPDATE CASCADE",
	]);

	$data->statistic(true);
}

$core->language->translation->add($kit["path"]."translation_blueprint");
$core->language->translation->add($kit["path"]."translation");
