<?php

$form = $core->form_o();

$form->new_elements(array(
	"unique_name" => array(
		"label" => "Unique name",
		"essential" => true,
	),
	"name" => array(
		"label" => "Title",
		"essential" => true,
	),
	"group" => array(
		"label" => "Kit Group",
		"essential" => true,
	),
	"description" => array(
		"label" => "Description",
		"type" => "textarea",
	),
	"folder" => array(
		"label" => "Folder name",
	),
	"parent_folder" => array(
		"label" => "Parent folder name",
	),
	"submit" => array(
		"type" => "submit",
	),
));

if ($form->check()) {

	$path = $core->filesystem->path(
		$form->value("parent_folder"),
		either($form->value("folder"),url_encode($form->value("unique_name")))
	);

	$config = array(
		"unique_name" => url_encode($form->value("unique_name")),
		"title" => either($form->value("name"),$form->value("unique_name")),
		"group" => $form->value("group"),
		"backend" => "backend.php",
		"frontend" => "frontend.php",
		"description" => $form->value("description"),
	);

	$config = "<?php".br.'$kit_config = '.$core->array->render($config).';';


	$core->filesystem->base_dir(KITS_FOLDER);

	$core->message->set(
		$core->filesystem->write($path."config.php",$config)
	);

	$core->message->set(
		$core->filesystem->write($path."backend.php")
	);

	$core->message->set(
		$core->filesystem->write($path."frontend.php")
	);

	$core->message->info("Kit created");
	$core->refresh();

}

$html[] = $form->render_form();

echo $core->html->render($html);