<?php

$entry = array();

if($ID = $core->get_var("ID"))
	$entry = $core->kit->data->group->entry($ID);

$form = $core->form_o();

$form->new_elements(
	array(
		"name" => array(
  		"label" => "Name",
  		"value" => key_fetch("name",$entry),
  		"essential" => true,
		),
		"position" => array(
		  "label"	=> "Position",
		  "type"	=> "select",
		  "values"	=> $core->kit->data->group->dropdown_position($ID),
		),
		"save" => array(
		  "type" =>	"submit",
		  "value" =>	"Save",
		  "class" =>	"green",
		),
	)
);


if ($form->check()) {

	if(!$ID)
		$core->message->set($ID = $core->kit->data->group->create(array(
	    "name"			=> $form->value("name"),
	    "parent_ID"	=> NULL,
	  )));

	else
		$core->message->set($core->kit->data->group->update(
			array(
				"ID"			=> $ID,
				"name"			=> $form->value("name"),
				"position"	=> $form->value("position"),
			)
		));

  $core->message->set_info();
  $core->refresh(array("ID"=>$ID));
}

echo $core->template->kit->panel(
	ifttt($ID,"Edit Group","New Group"),
	$form->render(false),
	array(
		$form->field("save"),
		$core->html->tag("a","Close",array("class"=>"cancel button","href"=>$core->generate_url(array("do"=>"","ID"=>"")))),
	),
	array("wrap_form"=>$form, "footer" => array("class" => "flex fill"))
);
