<?php

$ID = $core->get_var("ID");

if (is_empty($ID))
	$core->refresh(array("do"=>""));

$entry = $core->kit->data->entry($ID);

if (is_empty($entry))
	$core->refresh(array("do"=>"","ID"=>""));

$kit = $core->kit->load($ID, false, false);

$config = key_of("config",$kit);

if (is_empty($config))
	$core->refresh(array("do"=>"","ID"=>""));

$run = key_of("run",$config);

// Backwards Compatibility
if (not_empty(key_of("frontend", $config)))
	$run["frontend"] = key_of("frontend", $config);

if (not_empty(key_of("backend", $config)))
	$run["backend"] = key_of("backend", $config);

if (not_empty(key_of("core", $config)))
	$run["core"] = key_of("core", $config);

if (not_empty(key_of("file_handling", $config)))
	$run["file_handling"] = key_of("file_handling", $config);

if (not_empty(key_of("toolbar", $config)))
	$run["toolbar"] = key_of("toolbar", $config);

$update = array(
	"ID" => $ID,
	"unique_name" => key_of("unique_name",$config),
	"name" => key_of("title",$config),
	"info_text" => key_of(["info_text","description"],$config),
	"run" => kb_json_encode($run),
	"config" => "",
	"icon" => key_of("icon",$config),
);

$core->message->set(
	$core->kit->data->update($update),
	"Update Kit $ID"
);

$core->message->info();

$core->refresh(array("do"=>""));

